{%include "widget_style.html" -%}
<div id="{{widget.id}}" class="carousel slide" data-ride="carousel">
  <ol class="carousel-indicators">
    {% for i,item in enum_list(widget.slides) -%}
    <li data-target="#{{widget.id}}" data-slide-to="{{i}}" {% if i==0 %} class="active" {% endif %}></li>
    {% endfor -%}
  </ol>
  <div class="carousel-inner">
    {% for i,item in enum_list(widget.slides) -%}
    <div class="carousel-item{% if i==0 %} active{% endif %}">
      <img class="{{item.image[1]}}" src="{{get_media(item.image[0], widget)}}" alt="{{item.image[2]}}">
      <div class="container">
        <div class="carousel-caption {{item.align}}">
          {{item.text|safe}}
          <p>
            {% for btn in item.buttons -%}
            <a class="{{btn[2] or widget.btn_class}}" href="{{btn[1]}}" role="button">{{btn[0]}}</a>
            {% endfor -%}
          </p>
        </div>
      </div>
    </div>
    {% endfor -%}
  </div>
  <a class="carousel-control-prev" href="#{{widget.id}}" role="button" data-slide="prev">
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="sr-only">Previous</span>
  </a>
  <a class="carousel-control-next" href="#{{widget.id}}" role="button" data-slide="next">
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="sr-only">Next</span>
  </a>
</div>